<template>
  <section class="section">
    <dashboard-header />
    <br>
    <div v-if="allForms" class="container">
      <div class="columns is-multiline">
        <dashboard-form v-for="form in allForms" :key="form.id" :form="form" />
      </div>
    </div>
  </section>
</template>

<script>
import ALL_FORMS_QUERY from '@/graphql/Form/AllForms.gql'
import DashboardHeader from '@/components/Dashboard/DashboardHeader'
import DashboardForm from '@/components/Dashboard/DashboardForm'
export default {
  components: { DashboardHeader, DashboardForm },
  data: () => ({
    user: {}
  }),
  apollo: {
    allForms: {
      query: ALL_FORMS_QUERY
    }
  }
}
</script>
